OCF_PACEMAKER_DUMMY(7)

NAME
ocf_pacemaker_Dummy - Example stateless resource agent

SYNOPSIS

OCF_RESKEY_state=string OCF_RESKEY_passwd=string [OCF_RESKEY_fake=string] OCF_RESKEY_op_sleep=string [OCF_RESKEY_fail_start_on=string] OCF_RESKEY_envfile=string Dummy [start | stop | monitor | reload | migrate_to | migrate_from | validate-all | meta-data]

DESCRIPTION

This is a dummy OCF resource agent. It does absolutely nothing except keep track of whether it is running or not, and can be configured so that actions fail or take a long time. Its purpose is primarily for testing, and to serve as a template for resource agent writers.

SUPPORTED PARAMETERS

OCF_RESKEY_state = string [/Dummy-.state]
    State file

    Location to store the resource state in.

OCF_RESKEY_passwd = string []
    Password

    Fake password field

OCF_RESKEY_fake = string [dummy]
    Fake attribute that can be changed to cause a reload

    Fake attribute that can be changed to cause a reload

OCF_RESKEY_op_sleep = string [0]
    Operation sleep duration in seconds.

    Number of seconds to sleep during operations. This can be used to test how the cluster reacts to operation timeouts.

OCF_RESKEY_fail_start_on = string []
    Report bogus start failure on specified host

    Start actions will return failure if running on the host specified here, but the resource will start successfully anyway (future monitor calls will find it running). This can be used to test on-fail=ignore.

OCF_RESKEY_envfile = string []
    Environment dump file

    If this is set, the environment will be dumped to this file for every call.

AUTHOR

Andrew Beekhof <andrew@beekhof.net>
    Author.